## pysolar 0.10+repack

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Pysolar.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Pysolar.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Pysolar"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Pysolar"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## pysolar 0.5+git4720b36403

=== debian/changelog ===
pysolar (0.5+git4720b36403-1) unstable; urgency=low

  * Initial release (Closes: #724311)

 -- W. Martin Borgert <debacle@debian.org>  Sat, 25 Jan 2014 13:08:41 +0000

=== debian/control ===
Source: pysolar
Section: python
Priority: extra
Maintainer: W. Martin Borgert <debacle@debian.org>
Build-Depends: python-all (>= 2.7~), python-setuptools, debhelper (>= 7.0.50~)
Standards-Version: 3.9.5
Homepage: http://pysolar.org
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-solar.git
Vcs-Git: git://anonscm.debian.org/collab-maint/python-solar.git

Package: python-pysolar
Architecture: all
Depends:
  ${misc:Depends},
  ${python:Depends}
Description: Python library for precise ephemeris calculations
 Pysolar is a collection of Python libraries for simulating the irradiation
 of any point on earth by the sun. It includes code for extremely precise
 ephemeris calculations.

## pysolar 0.6

=== debian/changelog ===
pysolar (0.6-1) unstable; urgency=low

  * New upstream version (Closes: #762503)
  * New maintainer python-modules-team, new git repo
  * Add Python 3 package

 -- W. Martin Borgert <debacle@debian.org>  Fri, 03 Oct 2014 23:44:11 +0000

=== debian/control ===
Source: pysolar
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Build-Depends: python-all (>= 2.7~), python-setuptools, debhelper (>= 7.0.50~), python-setuptools, python3-all, python3-setuptools
Standards-Version: 3.9.5
Homepage: http://pysolar.org
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-pysolar.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/python-pysolar.git

Package: python-pysolar
Architecture: all
Depends:
  ${misc:Depends},
  ${python:Depends}
Description: Python library for precise ephemeris calculations
 Pysolar is a collection of Python libraries for simulating the irradiation
 of any point on earth by the sun. It includes code for extremely precise
 ephemeris calculations.
 .
 This package provides the Python 2.x module.

Package: python3-pysolar
Architecture: all
Depends:
  ${misc:Depends},
  ${python3:Depends}
Description: Python library for precise ephemeris calculations
 Pysolar is a collection of Python libraries for simulating the irradiation
 of any point on earth by the sun. It includes code for extremely precise
 ephemeris calculations.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=pysolar

%:
	dh $@ --buildsystem=pybuild --with python2,python3

## pysolar 0.7+gite32d755+dfsg

=== debian/changelog ===
pysolar (0.7+gite32d755+dfsg-1) unstable; urgency=medium

  * New upstream version (Closes: #870630)
  * Remove obsolete patch
  * Remove Python 2, because not supported by upstream anymore
  * Bump to standards version 4.0.1
  * Move to debhelper >= 10
  * Remove .git-dpm

    [ Ondřej Nový <novy@ondrej.org> 2016-03-29 ]
  * Fixed VCS URL (https)

 -- W. Martin Borgert <debacle@debian.org>  Thu, 10 Aug 2017 18:36:29 +0000

=== debian/control ===
Source: pysolar
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Build-Depends: debhelper (>= 10), python3-all, python3-setuptools
Standards-Version: 4.0.1
Homepage: http://pysolar.org
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pysolar.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pysolar.git

Package: python3-pysolar
Architecture: all
Depends:
  ${misc:Depends},
  ${python3:Depends}
Description: Python library for precise ephemeris calculations
 Pysolar is a collection of Python libraries for simulating the irradiation
 of any point on earth by the sun. It includes code for extremely precise
 ephemeris calculations.
 .
 This package is only available for Python 3.

## pysolar 0.8~rc1%2Brepack

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,17 @@
 Source: pysolar
 Section: python
-Priority: extra
+Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: W. Martin Borgert <debacle@debian.org>
-Build-Depends: debhelper (>= 10), python3-all, python3-setuptools
-Standards-Version: 4.0.1
+Build-Depends: debhelper (>= 11),
+	dh-python,
+	python3-all,
+	python3-setuptools
+Standards-Version: 4.1.3
+Rules-Requires-Root: no
 Homepage: http://pysolar.org
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pysolar.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pysolar.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-pysolar.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pysolar
 
 Package: python3-pysolar
 Architecture: all

## pysolar 0.8~rc1+repack

=== debian/changelog ===
pysolar (0.8~rc1+repack-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1

  [ W. Martin Borgert ]
  * New upstream release candidate
  * Added dh-python to build-deps

 -- W. Martin Borgert <debacle@debian.org>  Mon, 26 Mar 2018 19:15:18 +0000

## pysolar 0.9+repack

=== debian/changelog ===
pysolar (0.9+repack-1) unstable; urgency=medium

  * New upstream version.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Martin <debacle@debian.org>  Fri, 01 Jan 2021 23:27:28 +0000

=== debian/control ===
Source: pysolar
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Martin <debacle@debian.org>
Build-Depends: debhelper-compat (= 13),
	dh-python,
	python3-all,
	python3-nose,
	python3-numpy,
	python3-setuptools,
Standards-Version: 4.1.3
Rules-Requires-Root: no
Homepage: http://pysolar.org
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pysolar.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pysolar

Package: python3-pysolar
Architecture: all
Depends:
  ${misc:Depends},
  ${python3:Depends}
Description: Python library for precise ephemeris calculations
 Pysolar is a collection of Python libraries for simulating the irradiation
 of any point on earth by the sun. It includes code for extremely precise
 ephemeris calculations.
 .
 This package is only available for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=pysolar

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/tests/control ===
Depends: python3-pysolar
Restrictions: superficial
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import pysolar ; print(pysolar.__package__)"

## pysolar 0.10%2Brepack

=== debian/tests/control ===
Depends: @, python3-numpy
Restrictions: allow-stderr
Test-Command: python3 -m unittest discover -v

## pysolar 0.10+repack

=== debian/changelog ===
pysolar (0.10+repack-3) unstable; urgency=medium

  * Fix dependency for autopkgtest

 -- Martin <debacle@debian.org>  Sat, 05 Nov 2022 12:36:12 +0000

pysolar (0.10+repack-2) unstable; urgency=medium

  * Use setup from setuptools, not distutils (Closes: #1022494).
  * Run full unittests as autopkgtest.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository-Browse.
  * Add debian/watch file, using pypi.

 -- Martin <debacle@debian.org>  Fri, 04 Nov 2022 23:10:14 +0000

pysolar (0.10+repack-1) unstable; urgency=medium

  * New upstream version.
  * Remove build-dep on nose (Closes: #1018452).
  * Change Vcs-* to source package name.

 -- Martin <debacle@debian.org>  Mon, 29 Aug 2022 01:49:59 +0000

=== debian/control ===
Source: pysolar
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Martin <debacle@debian.org>
Build-Depends: debhelper-compat (= 13),
	dh-python,
	python3-all,
	python3-numpy,
	python3-setuptools,
Standards-Version: 4.1.3
Rules-Requires-Root: no
Homepage: https://pysolar.org
Vcs-Git: https://salsa.debian.org/python-team/packages/pysolar.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pysolar

Package: python3-pysolar
Architecture: all
Depends:
  ${misc:Depends},
  ${python3:Depends}
Description: Python library for precise ephemeris calculations
 Pysolar is a collection of Python libraries for simulating the irradiation
 of any point on earth by the sun. It includes code for extremely precise
 ephemeris calculations.

## pysolar 0.13

=== debian/changelog ===
pysolar (0.13-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Mon, 31 Mar 2025 22:33:42 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,9 @@
 Uploaders: Martin <debacle@debian.org>
 Build-Depends: debhelper-compat (= 13),
 	dh-python,
+	pybuild-plugin-pyproject,
 	python3-all,
+	python3-nose2,
 	python3-numpy,
 	python3-setuptools,
 Standards-Version: 4.1.3
@@ -13,6 +15,7 @@
 Homepage: https://pysolar.org
 Vcs-Git: https://salsa.debian.org/python-team/packages/pysolar.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pysolar
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pysolar
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pysolar
export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS={interpreter} -m unittest discover -v test

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=4
https://pypi.debian.net/pysolar/pysolar-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
